org.apache.poi.hwpf.model

## Class SavedByTable

- java.lang.Object
- - org.apache.poi.hwpf.model.SavedByTable

-     @Internal
      public final class SavedByTable
      extends java.lang.Object

  String table containing the history of the last few revisions ("saves") of the document. Read-only for the time being.
  Author:
    Daniel Noll

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SavedByTable(byte[] tableStream, int offset, int size)` Constructor to read the table from the table stream.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<SavedByEntry>` | `getEntries()` Gets the entries.
    `void` | `writeTo(java.io.ByteArrayOutputStream tableStream)` Writes this table to the table stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SavedByTable

          public SavedByTable(byte[] tableStream,
                              int offset,
                              int size)

      Constructor to read the table from the table stream.
      Parameters:
        `tableStream` - the table stream.
        `offset` - the offset into the byte array.
        `size` - the size of the table in the byte array.

  - ### Method Detail

    - #### getEntries

          public java.util.List<SavedByEntry> getEntries()

      Gets the entries. The returned list cannot be modified.
      Returns:
        the list of entries.

    - #### writeTo

          public void writeTo(java.io.ByteArrayOutputStream tableStream)
                       throws java.io.IOException

      Writes this table to the table stream.
      Parameters:
        `tableStream` - the table stream to write to.
      Throws:
        `java.io.IOException` - if an error occurs while writing.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.